package com.lightinit.hsdatashow.mapper;

import com.lightinit.hsdatashow.entity.SentryRole;
import com.lightinit.hsdatashow.entity.SentryRoleExample;
import java.util.List;

import org.apache.ibatis.annotations.Param;

public interface SentryRoleMapper {
    long countByExample(SentryRoleExample example);

    int deleteByExample(SentryRoleExample example);

    int deleteByPrimaryKey(Long id);

    int insert(SentryRole record);

    int insertSelective(SentryRole record);

    List<SentryRole> selectByExample(SentryRoleExample example);

    List<SentryRole> selectByParentId(Long parentid);

    List<SentryRole> selectByUserName(String username);

    SentryRole selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") SentryRole record, @Param("example") SentryRoleExample example);

    int updateByExample(@Param("record") SentryRole record, @Param("example") SentryRoleExample example);

    int updateByPrimaryKeySelective(SentryRole record);

    int updateByPrimaryKey(SentryRole record);
}